Package org.eclipse.net4j.signal.wrapping

## Class StreamWrapperInjector

- java.lang.Object
- - org.eclipse.net4j.signal.wrapping.StreamWrapperInjector

- All Implemented Interfaces:
    `org.eclipse.net4j.util.container.IElementProcessor`
  Direct Known Subclasses:
    `GZIPStreamWrapperInjector`, `XORStreamWrapperInjector`

      public class StreamWrapperInjector
      extends java.lang.Object
      implements org.eclipse.net4j.util.container.IElementProcessor

  An `element post processor` that injects a `stream wrapper` into `signal protocol` instances.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StreamWrapperInjector​(java.lang.String protocolID, org.eclipse.net4j.util.io.IStreamWrapper streamWrapper)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getProtocolID()` |
    `org.eclipse.net4j.util.io.IStreamWrapper` | `getStreamWrapper()` |
    `protected java.lang.Object` | `inject​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, SignalProtocol<?> signalProtocol)` |
    `java.lang.Object` | `process​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, java.lang.Object element)` |
    `protected boolean` | `shouldInject​(org.eclipse.net4j.util.container.IManagedContainer container, java.lang.String productGroup, java.lang.String factoryType, java.lang.String description, SignalProtocol<?> signalProtocol)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamWrapperInjector

          public StreamWrapperInjector​(java.lang.String protocolID,
                                       org.eclipse.net4j.util.io.IStreamWrapper streamWrapper)

  - ### Method Detail

    - #### getProtocolID

          public java.lang.String getProtocolID()

    - #### getStreamWrapper

          public org.eclipse.net4j.util.io.IStreamWrapper getStreamWrapper()

    - #### process

          public java.lang.Object process​(org.eclipse.net4j.util.container.IManagedContainer container,
                                          java.lang.String productGroup,
                                          java.lang.String factoryType,
                                          java.lang.String description,
                                          java.lang.Object element)

      Specified by:
        `process` in interface `org.eclipse.net4j.util.container.IElementProcessor`

    - #### shouldInject

          protected boolean shouldInject​(org.eclipse.net4j.util.container.IManagedContainer container,
                                         java.lang.String productGroup,
                                         java.lang.String factoryType,
                                         java.lang.String description,
                                         SignalProtocol<?> signalProtocol)

    - #### inject

          protected java.lang.Object inject​(org.eclipse.net4j.util.container.IManagedContainer container,
                                            java.lang.String productGroup,
                                            java.lang.String factoryType,
                                            java.lang.String description,
                                            SignalProtocol<?> signalProtocol)